Loading...
Searching...
No Matches
database_listing_callback.hpp File Reference
API

definition of the user defined callback function used for database listing More...

`#include "../my_config.h"`
`#include <string>`
`#include "database_aux.hpp"`
`#include "archive_num.hpp"`
`#include "datetime.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs

using | libdar::database_listing_show_files_callback
| called by the database::get_files() routine
using | libdar::database_listing_get_version_callback
| called with the information of presence for an entry in archive number num
using | libdar::database_listing_statistics_callback
| called with teh information of statistics for each archive in turn

## Detailed Description

definition of the user defined callback function used for database listing

Definition in file database_listing_callback.hpp.